Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
POSTSNS OperationsSince 2.3.0SynchronousAuth Required
CreateSNSEmailEndpoint
CreateSNSEmailEndpoint
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
emailStringOptional. The email address.
emailsListOptional.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
platformUuidStringOptional. The application platform UUID.
resourceUuidStringOptional.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/sns/application-endpoints/emails
/zstack/v1/sns/application-endpoints/emails
Request Example
curl -X POST 'http://{host}/zstack/v1/sns/application-endpoints/emails' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"email":"<email>","emails":["<emails>"],"name":"<name>","description":"<description>","platformUuid":"<platformUuid>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "example", "uuid": "917fe66f76b241f0843dfbd6be685fc1", "description": "description example", "type": "Email", "state": "Enabled", "platformUuid": "4eb0ceebf95b452585ebeacd647d9f35", "createDate": "Dec 25, 2023 2:03:24 PM", "lastOpDate": "Dec 25, 2023 2:03:24 PM" } }Change History
This API has no change history records yet.
